Bug 1890074 - MCO extension kernel-headers is invalid
Summary: MCO extension kernel-headers is invalid
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.7
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
: 4.7.0
Assignee: Sinny Kumari
QA Contact: Michael Nguyen
URL:
Whiteboard: non-multi-arch
Depends On:
Blocks: 1888853
TreeView+ depends on / blocked
 
Reported: 2020-10-21 10:22 UTC by Sinny Kumari
Modified: 2021-02-24 15:27 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Rebase: Bug Fixes Only
Doc Text:
Highlights and important bug fixes: Machine Config Operator added capability to install group of packages which is required to enable an extension on RHCOS. As a result, when a MachineConfig with kernel-devel extension is applied on OCP cluster, MCO will install kernel-devel and kernel-headers packages on desired RHCOS nodes.
Clone Of: 1888853
Environment:
Last Closed: 2021-02-24 15:27:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2170 0 None closed Bug 1890074: daemon: allow an extension to install group of packages 2021-02-21 01:46:32 UTC
Github openshift machine-config-operator pull 2181 0 None closed Bug 1890074: daemon: allow one to one mapping of extension on OKD 2021-02-21 01:46:32 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:27:37 UTC

Comment 2 Sinny Kumari 2020-10-26 10:40:34 UTC
Moving it back to assigned to include OKD regression fix caused as a result of the fix - https://github.com/openshift/machine-config-operator/pull/2181

Comment 4 Michael Nguyen 2020-11-10 18:29:44 UTC
Verified on 4.7.0-0.nightly-2020-11-10-093436.  Successfully installed kernel-devel.

$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.7.0-0.nightly-2020-11-10-093436   True        False         63m     Cluster version is 4.7.0-0.nightly-2020-11-10-093436$ oc get nodes
NAME                                         STATUS   ROLES    AGE   VERSION
ip-10-0-143-20.us-west-2.compute.internal    Ready    master   78m   v1.19.2+9c2f84c
ip-10-0-154-71.us-west-2.compute.internal    Ready    worker   65m   v1.19.2+9c2f84c
ip-10-0-171-153.us-west-2.compute.internal   Ready    master   74m   v1.19.2+9c2f84c
ip-10-0-189-196.us-west-2.compute.internal   Ready    worker   65m   v1.19.2+9c2f84c
ip-10-0-194-240.us-west-2.compute.internal   Ready    worker   65m   v1.19.2+9c2f84c
ip-10-0-209-84.us-west-2.compute.internal    Ready    master   74m   v1.19.2+9c2f84c
$ oc debug node/ip-10-0-154-71.us-west-2.compute.internal
Starting pod/ip-10-0-154-71us-west-2computeinternal-debug ...
To use host binaries, run `chroot /host`
If you don't see a command prompt, try pressing enter.
sh-4.2# chroot /host
sh-4.4# rpm -qa | grep kernel
kernel-4.18.0-193.29.1.el8_2.x86_64
kernel-core-4.18.0-193.29.1.el8_2.x86_64
kernel-modules-extra-4.18.0-193.29.1.el8_2.x86_64
kernel-modules-4.18.0-193.29.1.el8_2.x86_64
sh-4.4# exit
exit
sh-4.2# exit
exit

Removing debug pod ...
$ cat << EOF > 03-worker-extensions.yaml
apiVersion: machineconfiguration.openshift.io/v1
kind: MachineConfig
metadata:
  labels:
    machineconfiguration.openshift.io/role: worker
  name: 03-worker-extensions
spec:
  config:
    ignition:
      version: 3.1.0
  extensions:
    - kernel-devel
$ oc create -f 03-worker-extensions.yaml 
machineconfig.machineconfiguration.openshift.io/03-worker-extensions created
$ oc get mc
NAME                                               GENERATEDBYCONTROLLER                      IGNITIONVERSION   AGE
00-master                                          da75bdfb74bbb30568b58b1526ba369b6441d281   3.1.0             82m
00-worker                                          da75bdfb74bbb30568b58b1526ba369b6441d281   3.1.0             82m
01-master-container-runtime                        da75bdfb74bbb30568b58b1526ba369b6441d281   3.1.0             82m
01-master-kubelet                                  da75bdfb74bbb30568b58b1526ba369b6441d281   3.1.0             82m
01-worker-container-runtime                        da75bdfb74bbb30568b58b1526ba369b6441d281   3.1.0             82m
01-worker-kubelet                                  da75bdfb74bbb30568b58b1526ba369b6441d281   3.1.0             82m
03-worker-extensions                                                                          3.1.0             4s
99-master-generated-registries                     da75bdfb74bbb30568b58b1526ba369b6441d281   3.1.0             82m
99-master-ssh                                                                                 3.1.0             88m
99-worker-generated-registries                     da75bdfb74bbb30568b58b1526ba369b6441d281   3.1.0             82m
99-worker-ssh                                                                                 3.1.0             88m
rendered-master-8d25b9ae487bc5e7ffb021bd93bfff7d   da75bdfb74bbb30568b58b1526ba369b6441d281   3.1.0             81m
rendered-worker-69dac79db33505219af92d594dbbc383   da75bdfb74bbb30568b58b1526ba369b6441d281   3.1.0             81m
$ oc get mcp/worker
NAME     CONFIG                                             UPDATED   UPDATING   DEGRADED   MACHINECOUNT   READYMACHINECOUNT   UPDATEDMACHINECOUNT   DEGRADEDMACHINECOUNT   AGE
worker   rendered-worker-69dac79db33505219af92d594dbbc383   True      False      False      3              3                   3                     0                      83m
$ watch oc get nodes
$ oc get nodes
NAME                                         STATUS                     ROLES    AGE   VERSION
ip-10-0-143-20.us-west-2.compute.internal    Ready                      master   89m   v1.19.2+9c2f84c
ip-10-0-154-71.us-west-2.compute.internal    Ready                      worker   76m   v1.19.2+9c2f84c
ip-10-0-171-153.us-west-2.compute.internal   Ready                      master   85m   v1.19.2+9c2f84c
ip-10-0-189-196.us-west-2.compute.internal   Ready                      worker   76m   v1.19.2+9c2f84c
ip-10-0-194-240.us-west-2.compute.internal   Ready,SchedulingDisabled   worker   76m   v1.19.2+9c2f84c
ip-10-0-209-84.us-west-2.compute.internal    Ready                      master   85m   v1.19.2+9c2f84c
$ oc debug node/ip-10-0-154-71.us-west-2.compute.internal
Starting pod/ip-10-0-154-71us-west-2computeinternal-debug ...
To use host binaries, run `chroot /host`
If you don't see a command prompt, try pressing enter.
sh-4.2# chroot /host
sh-4.4# rpm -qa | grep kernel
kernel-4.18.0-193.29.1.el8_2.x86_64
kernel-devel-4.18.0-193.29.1.el8_2.x86_64
kernel-core-4.18.0-193.29.1.el8_2.x86_64
kernel-modules-extra-4.18.0-193.29.1.el8_2.x86_64
kernel-headers-4.18.0-193.29.1.el8_2.x86_64
kernel-modules-4.18.0-193.29.1.el8_2.x86_64
sh-4.4#

Comment 7 errata-xmlrpc 2021-02-24 15:27:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.